"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const shelljs_1 = require("shelljs");
const log_1 = require("../common/log");
function shellExecSync(command, cwd) {
    try {
        log_1.printMessage(`执行命令：${command}`);
        let c = shelljs_1.exec(command, { cwd, async: false });
        if (c.stderr) {
            log_1.printErrorMessage(c.stdout.toString());
            return false;
        }
        if (c.stdout) {
            log_1.printMessage(c.stdout.toString());
        }
        return true;
    }
    catch (e) {
        console.log(`shell.exec(${command})`, e);
        return false;
    }
}
exports.shellExecSync = shellExecSync;
//# sourceMappingURL=shellExec.js.map